######################################################################
# gene-exon-probeset reports 
# M Okoniewski, March 2007, updated 23 May 2007
######################################################################
.all.exons <- function(geny, probes.min=4, debug=0) # x - expression table, not object
{
   pp <- .vector.to.commalist(geny)
   if (debug >7) cat(pp,"\n")
   if (is.null(.ExonmapHost)) stop("Xmap database not initialized yet!")
   proc <- paste ("CALL xmap_geneToExonProbeset('",pp,"')",sep="")
   data <-  .doStoredProcedureFetch( proc )

   if (dim(data)[1]>0)
   {   
      idx <- which (data[,"probe_count"]>=probes.min)
      if (debug >7) cat(idx, "\n")
      idx <- unique(idx)
      data<- data[idx, ]
   }
data
}

gene.to.exon.probeset <- function(genes, probes.min=4,  debug=0) 
{
out <- NULL
gene.list <- .split.vector(genes, debug=debug)
for (i in 1:length(gene.list))
  {
    if (debug>6) cat ("Processing ",i,"th piece\n")
    if (debug>8) cat (gene.list[[i]],"\n")
    out <- rbind(out, .all.exons(gene.list[[i]], probes.min= probes.min, debug=debug ) )
  }
out
}
      
gene.to.exon.probeset.expr <- function(x, genes, probes.min=4, debug=0)
{
    out <- NULL
    data <- NULL
    xx <- exprs(x)
    data <- gene.to.exon.probeset(genes, probes.min=probes.min, debug=debug-1)
    data <- data[data[,"probeset_name"] %in% rownames(xx),]
    if (dim(data)[1]>0)
    {
    pss <- data[,"probeset_name"]
    loc.exp <- xx[pss,]
    row.names(loc.exp) <- NULL
    if (dim(data)[1]==1) out <- unlist(c(loc.exp,data))
    else out <- cbind(loc.exp,data)
    }
    out
}



