xmapGene <- function(x)
{
con <- dbConnect("MySQL",user=.ExonmapUser, password=.ExonmapPassword, dbname=.ExonmapDBName, host=.ExonmapHost, client.flag="196608" )
proc <- paste ("CALL xmap_geneDetails('",x,"')",sep="")
data <-  .doStoredProcedureFetch( con, proc )
dbDisconnect(con)
if (dim(data)[1]==1)
{
  startpoint <- data[1,"seq_region_start"]
  chr <- data[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}
if (dim(data)[1]>1) cat ("Ambiguous gene!\n")
if (dim(data)[1]==0) cat ("Gene not found!\n")
}
##################################################################################################
xmapTranscript <- function(x)
{
con <- dbConnect("MySQL",user=.ExonmapUser, password=.ExonmapPassword, dbname=.ExonmapDBName, host=.ExonmapHost, client.flag="196608" )
proc <- paste ("CALL xmap_transcriptDetails('",x,"')",sep="")
data <-  .doStoredProcedureFetch( con, proc )
dbDisconnect(con)
if (dim(data)[1]==1)
{
  startpoint <- data[1,"seq_region_start"]
  chr <- data[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}
if (dim(data)[1]>1) cat ("Ambiguous transcript!\n")
if (dim(data)[1]==0) cat ("Transcript not found!\n")
}
##################################################################################################
xmapExon <- function(x)
{
con <- dbConnect("MySQL",user=.ExonmapUser, password=.ExonmapPassword, dbname=.ExonmapDBName, host=.ExonmapHost, client.flag="196608" )
proc <- paste ("CALL xmap_exonDetails('",x,"')",sep="")
data <-  .doStoredProcedureFetch( con, proc )
dbDisconnect(con)
if (dim(data)[1]==1)
{
  startpoint <- data[1,"seq_region_start"]
  chr <- data[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}
if (dim(data)[1]>1) cat ("Ambiguous exon!\n")
if (dim(data)[1]==0) cat ("Exon not found!\n")
}
##################################################################################################
xmapProbeset <- function(x)
{

MyQuery <- paste("select ps.name, sr.name as chr, max(psum.total_hits) as th, min(h.seq_region_start) as start, max(h.seq_region_end) as stop from probeset ps LEFT JOIN probemap pm USING (probeset_id) LEFT JOIN probe_summary psum USING(probe_id) LEFT JOIN hit h USING (probe_id) LEFT JOIN seq_region sr USING (seq_region_id) WHERE ps.name='",x,"' group by sr.name ;", sep="")
con <- dbConnect("MySQL",user=.ExonmapUser, password=.ExonmapPassword, dbname=.ExonmapDBName, host=.ExonmapHost, client.flag="196608" )
res <- dbSendQuery(con, MyQuery)
data <- fetch(res, n=-1)
dbDisconnect(con)
if (dim(data)[1]==1 & data[1,"th"]<10)
{
  startpoint <- data[1,"start"]
  chr <- data[1,"chr"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}
if (dim(data)[1]>1 | data[1,"th"]>=10 ) cat ("Ambiguous probeset!\n")
if (dim(data)[1]==0) cat ("Probeset not found!\n")
}

