.splicing.index <- function(x, gene,group,members, vector.out=F, debug=0)
{ 
  tr1 <- group.indices(x, group,members[1]) 
  tr2 <- group.indices(x, group,members[2]) 
  si <- NULL
  if (debug>4) cat("Processing",gene,"\n")
  table <- gene.to.exon.probeset.expr(x, gene, debug=debug)
  if (!is.vector(table) & !is.null(table)) 
  {
  if (debug>6) cat(dim(table),"\n")
  gle1 <- mean(as.matrix(table[,tr1]))
  gle2 <- mean(as.matrix(table[,tr2]))
  corfact <- gle2/gle1
  if (length(tr1)>1)  indexp1 <- apply(table[,tr1], 1, mean)
  else indexp1 <- table[,tr1]
  if (length(tr2)>1) indexp2 <- apply(table[,tr2], 1, mean)
  else indexp2 <- table[,tr2]
  si <- log2( corfact * (indexp1/indexp2) )
  if (!vector.out) si <- cbind(si, table)
  else names(si) <- table[, "probeset_name"]
  }
  else if (debug>1) warning("Gene ",gene ," has no splicing index! Probably has zero or one probeset.")
  si
}

splicing.index <- function(x, genes, group, members, vector.out=T, debug=0)
{
  out <- NULL
  for (i in 1:length(genes))
  {
     tmp.table <- .splicing.index (x, genes[i],group,members, vector.out=vector.out, debug=debug-1)
     if (!vector.out & !is.null(tmp.table)) out <- rbind(out, tmp.table)
     if (vector.out & !is.null(tmp.table)) out <- c(out, tmp.table)
     if (debug>0 & i%%100 ==0) cat("*")
  }
  out
}

