\name{gene.legend}
\alias{gene.legend}

\title{ Add a colour bar to an X:MAP gene plot }
\description{
  Adds a colour bar to a plot generated by \code{plot.gene}
}
\usage{
gene.legend(x,y,w,h=1,palette,col.range,interval=100,cex=0.5,pad=h,label="colours")
}

\arguments{
\item{x}{x location of legend}
\item{y}{y location of legend}
\item{w}{width of colour bar}
\item{h}{height of colour bar}
\item{palette}{palette used to generate colour bar}
\item{col.range}{a \code{range} specifying left and right extents of colour bar}
\item{interval}{ how many rectangles used to build the colour bar}
\item{cex}{character expansion}
\item{pad}{padding around the colour bar}
\item{label}{the label text to give the colour bar}

}
\details{
  Is called by \code{plot.gene} by default. This function can be used to fine tune the positioning of the colour bar, etc. 
  by turning off the legend plot in \code{plot.gene} and calling it directly.
}
\value{
  none
}
\seealso{\code{\link{plot.gene}} \code{\link{par}}}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Crispin Miller }

\keyword{ misc }
\examples{ 
}
