\name{gene.to.exon.probeset}
\alias{gene.to.exon.probeset}
\alias{gene.to.exon.probeset.expr}

\title{ Using X:MAP database to translate genes into exons and probesets }
\description{
The functions create a tabular report of all the exons and probesets within input genes. 

}
\usage{
gene.to.exon.probeset (genes, probes.min=4,  debug=0) 
gene.to.exon.probeset.expr (x, genes, probes.min=4, debug=0)
}

\arguments{
  \item{x}{ eSet object containing expression data }
  \item{genes}{ List of Ensembl genes to translate into exons and probesets }
  \item{probes.min}{ Only return probesets that hit the genome with at least this number of probes }
  \item{debug}{ anything other than 0 returns debugging information. Verbosity increases with value }
  
}
\details{ }
\value{
  A data frame containing all the exons, probesets, genes and gene symbol - in case of gene.to.exon.probeset.expr also with relevant expression data. 
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }

\keyword{ misc }
\examples{ 
  \dontrun{
    report <- gene.to.exon.probeset(c("ENSG00000175793","ENSG00000090273")); 
    report.expr <- gene.to.exon.probeset.expr(x.rma, c("ENSG00000175793","ENSG00000090273")); 
  }
}
