\name{probesets.in.range}
\alias{probesets.in.range}
\alias{probes.only.in.range}
\alias{genes.in.range}

\title{ Find probesets and genes by location }
\description{
  Given a start and end point, a strand, and a chromosome, find the probesets that hit within that region / any genes that occur there.
}
\usage{
probesets.in.range(start, stop, strand, chr, debug=0)
genes.in.range(start, stop, strand, chr, debug=0)
probes.only.in.range(start, stop, strand, chr, debug=0)
}

\arguments{
  \item{start}{ Beginning of the region on a chromosome}
  \item{stop}{ End of the region on a chromosome}
  \item{strand}{ 1 is forward strand, -1 is reverse strand}
  \item{chr}{Chromosome name - should be a character}
  \item{debug}{debug data?}
}
\details{ }
\value{
  Returns all the probesets/genes that match to a given genomic region. 
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }


\keyword{ misc }
\examples{ 
  \dontrun{
   probesets <- probesets.in.range(80000,1600000,1,"1");
   exonics <- select.probewise( probesets , filter="exonic")

}
}
